# ModifyDomainCache

## 1. API Description

This interface is used to modify the cache policy of an accelerated domain name.

{% hint style="info" %}
**Notes**

* This interface is asynchronous. After the interface returns successfully, the operation of creating or modifying the accelerated domain has not yet been completed. During this period, the status of the accelerated domain will be `Deploying`. You can query the status of the accelerated domain by calling the `DescribeCdnDomains` interface. If the domain status changes from `Deploying` (deploying) to `Deployed` (deployed successfully), the deployment is successful; `Failed` indicates that the configuration failed.
  {% endhint %}

## 2. Request Parameters

The following request parameter list includes only the necessary parameters for the interface

| Parameter Name | Required | Type                                                                  | Description                     |
| -------------- | -------- | --------------------------------------------------------------------- | ------------------------------- |
| domainId       | Yes      | String                                                                | Accelerated domain Id           |
| cache          | Yes      | [CacheInfo](/api-reference/networking/cdn/datastructure.md#cacheinfo) | Cache configuration information |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                 |
| -------------- | ------ | ------------------------------------------------------------------------------------------- |
| requestId      | String | Unique request ID, returned with each request. Provide this requestId when locating issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Modify the cache policy of the accelerated domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: ModifyDomainCache
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx",
    "cache": {
        "cacheId": "cacheIdxxxxx",
        "cacheType": "FILE",
        "cacheTime": 7,
        "timeUnit": "SECONDS",
        "priority": 99,
        "content": "txt|css|js",
        "directory": ""
    }
}


Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/domain/modifydomaincache.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
